#ifndef __PARSER__HEADER__
#define __PARSER__HEADER__

// parse string in format "param value"
int ParseString(char *string, char *param, char *result);
// same as above, but value may be empty
int ParseEmptyString(char *string, char *param, char *result);
// parse string in format "param "value""
int ParseQuotedString(char *string, char *param, char *result);
// parse string in format "param {Yes|No}"
int ParseYesNo(char *string, char *param, int &result);

#endif
